Приложение Необходимое программное обеспечение

Here is how to obtain the software packages mentioned above.

Сетевой сервер Apache

Для работы с любой версией Greenstone, за исключением Локальной Библиотеки, вам необходим сетевой сервер. Большинство цифровых библиотек, в особенности объемные, уже содержат в себе встроенные серверы. С сайта Www.apache.org можно быстро и бесплатно загрузить сетевой сервер Apache.

Perl

Для построения коллекций Greenstone использует язык программирования Perl. Версия Greenstone, предназначенная для Windows, уже включает в себя Perl. Большинство систем Unix также имеют Perl, но если он не установлен, то вы можете бесплатно загрузить исходный и бинарный код этой программы для разных версий Unix с сайта www.perl.com. Вам необходима версия Perl 5.0 или выше.

GCC

Версия Greenstone для Unix компилируется с помощью Gnu C++ compiler (GCC). Greenstone часто использует стандартную шаблонную библиотеку C++ (мы обнаружили, что она не работает со старыми версиями GCC; пожалуйста, сообщите нам, если у вас с этим возникнут проблемы). Заметьте, что эта версия Greenstone не компилируется в GCC 3.0.

GDBM

Все версии Greenstone используют Gnu Database Manager, GDBM. Она распространяется вместе со всеми версиями Greenstone под Windows и устанавливается автоматически во время процесса установки. Большинство версий Linux уже имеют GDBM, поэтому он не включен в диск для Greenstone под Linux. Но если вам необходим GDBM, то вы можете его загрузить с сайта Www.gnu.org.

Java Runtime Environment

Чтобы использовать Библиотечный интерфейс Greenstone, Вам необходима подходящая версия JRE. Если Вы еще не располагаете ею, подходящая версия включена в CD-ROM. Вы можете загрузить последнюю версию с сайта http://java.sun.com/j2se/downloads.html. Необходима версия 1.4.0 или выше.

Компилятор Java

Для компилирования исходной программы Библиотечного интерфейса Greenstone Вы должны сначала установить Java Development Kit. Вы можете загрузить J2SE c cайта http://java.sun.com/j2se/downloads.html. Требуется версия 1.4.0 или выше.